package se.gawell.kvtstore.core;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

public interface KeyTimeValueStore {

	void put(Serializable primaryKey, Object object);

	<type> type getById(Serializable primaryKey, Class<? extends Object> type);

	<type> List<type> getByTimeInterval(Date startOfIntervalInclusive, Date endOfIntervalExclusive, Class<? extends Object> type);

}
